Subject: Re: [PATCH net-next v4] net/smc: remove unneeded atomic operations in smc_tx_sndbuf_nonempty

From: Jakub Kicinski <[email-masked]>
Date: Mon, 27 Nov 2023 17:57:00 -0800

On Thu, 23 Nov 2023 09:45:37 +0800 Li RongQing wrote:
> The commit dcd2cf5f2fc0 ("net/smc: add autocorking support") adds an
> atomic variable tx_pushing in smc_connection to make sure only one can
> send to let it cork more and save CDC slot. since smc_tx_pending can be
> called in the soft IRQ without checking sock_owned_by_user() at that
> time, which would cause a race condition because bh_lock_sock() did
> not honor sock_lock()

Looks like this was applied by DaveM - commit e7bed88e0530 ("net/smc:
remove unneeded atomic operations in smc_tx_sndbuf_nonempty") in net-next.

Thank you!
-- 
pw-bot: accept